%define anolis_release 1
Name:           python-markupsafe
Version:        2.1.3
Release:        %{anolis_release}%{dist}
Summary:        Implements a XML/HTML/XHTML Markup safe string for Python
License:        BSD
URL:            https://pypi.org/project/MarkupSafe/
Source0:        %pypi_source MarkupSafe

BuildRequires:  gcc

%description
A library for safe markup escaping.


%package -n python3-markupsafe
Summary:        Implements a XML/HTML/XHTML Markup safe string for Python 3
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# Test dependencies
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-markupsafe}

%description -n python3-markupsafe
A library for safe markup escaping. Python 3 version.

%package -n     python3-markupsafe-doc
Summary:        doc files for python3-markupsafe
Requires:       python3-markupsafe = %{version}-%{release}

%description -n python3-markupsafe-doc
doc files for python3-markupsafe

%prep
%autosetup -n MarkupSafe-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
# C code errantly gets installed
rm %{buildroot}%{python3_sitearch}/markupsafe/*.c


%check
%pytest


%files -n python3-markupsafe
%license LICENSE.rst
%{python3_sitearch}/markupsafe/
%{python3_sitearch}/MarkupSafe-%{version}.dist-info/

%files -n python3-markupsafe-doc
%doc CHANGES.rst README.rst

%changelog
* Tue Feb 20 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1.3-1
- update to 2.1.3

* Wed Feb 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1.2-1
- update to version 2.1.2

* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.1.1-1
- Init package from upstream v2.1.1
